Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_MemberProperties

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.xmla.XMLA_MemberProperties

All Implemented Interfaces:
  Extension, MemberProperties

    public class XMLA_MemberProperties

extends ExtensionSupport
implements MemberProperties

retrieve member properties

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.MemberProperties
`ID`

Constructor Summary
`XMLA_MemberProperties()`

Method Summary
`MemberPropertyMeta[]` | `getMemberPropertyMetas(Level level)`
`java.lang.String` | `getPropertyScope(Member m)` returns a string `scope` that represents the scope of Member m.
`MemberPropertyMeta[]` | `getVisibleProperties()` sets the visible properties.
`boolean` | `isLevelScope()` Properties are either Level scope or Dimension scope.
`void` | `setVisibleProperties(MemberPropertyMeta[] props)` sets the visible properties.

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### XMLA_MemberProperties

    public XMLA_MemberProperties()

Method Detail

### getMemberPropertyMetas

    public MemberPropertyMeta[] getMemberPropertyMetas(Level level)

  Specified by:
    `getMemberPropertyMetas` in interface `MemberProperties`

### isLevelScope

    public boolean isLevelScope()

  Description copied from interface: `MemberProperties`
  Properties are either Level scope or Dimension scope. Properties are unique within their scope. If scope is level, then properties with same name in different levels are treated as different Properties. If false, the scope will be Dimension.

  Specified by:
    `isLevelScope` in interface `MemberProperties`
  Returns:
    true if level scope
  See Also:
    `MemberProperties.isLevelScope()`

### getPropertyScope

    public java.lang.String getPropertyScope(Member m)

  Description copied from interface: `MemberProperties`
  returns a string `scope` that represents the scope of Member m. The returned String `scope` ensures that `scope.equals(MemberPropertyMeta.getScope())` is true if the property belongs to member m.

  Specified by:
    `getPropertyScope` in interface `MemberProperties`
  Returns:
    property scope for member
  See Also:
    `MemberProperties.getPropertyScope(com.tonbeller.jpivot.olap.model.Member)`

### setVisibleProperties

    public void setVisibleProperties(MemberPropertyMeta[] props)

  sets the visible properties. Optimizing implementations of PropertyHolder may only return these properties.

  Specified by:
    `setVisibleProperties` in interface `MemberProperties`
  See Also:
    `PropertyHolder`

### getVisibleProperties

    public MemberPropertyMeta[] getVisibleProperties()

  sets the visible properties. Optimizing implementations of PropertyHolder may only return these properties.

  See Also:
    `PropertyHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD